Loading...
Searching...
No Matches
bitVector.h File Reference
`#include <BALL/common.h>`
`#include <BALL/CONCEPT/persistenceManager.h>`
`#include <BALL/COMMON/exception.h>`
`#include <cstring>`
`#include <BALL/DATATYPE/bitVector.iC>`

Go to the source code of this file.

## Classes

class | BALL::Bit
class | BALL::Bit::IllegalOperation
class | BALL::BitVector

## Namespaces

namespace | BALL

## Macros

#define | BALL_BLOCK_BITS 8
#define | BALL_BLOCK_MASK (BALL_BLOCK_BITS - 1)
#define | BALL_BLOCK_SHIFT 3
#define | BALL_BLOCK_ALL_BITS_SET 0xFF
#define | BALL_BLOCK_ALL_BITS_CLEARED 0x00
#define | BALL_BLOCK_SIZE(bits)

## Macro Definition Documentation

## BALL_BLOCK_ALL_BITS_CLEARED

#define BALL_BLOCK_ALL_BITS_CLEARED 0x00

Definition at line 27 of file bitVector.h.

## BALL_BLOCK_ALL_BITS_SET

#define BALL_BLOCK_ALL_BITS_SET 0xFF

Definition at line 26 of file bitVector.h.

## BALL_BLOCK_BITS

#define BALL_BLOCK_BITS 8

Definition at line 23 of file bitVector.h.

## BALL_BLOCK_MASK

#define BALL_BLOCK_MASK (BALL_BLOCK_BITS - 1)

Definition at line 24 of file bitVector.h.

## BALL_BLOCK_SHIFT

#define BALL_BLOCK_SHIFT 3

Definition at line 25 of file bitVector.h.

## BALL_BLOCK_SIZE

#define BALL_BLOCK_SIZE | ( |  | bits | ) |

Value:
(Size)(((bits) + BALL_BLOCK_BITS - 1) >> BALL_BLOCK_SHIFT)
BALL_BLOCK_SHIFT
#define BALL_BLOCK_SHIFT
Definition bitVector.h:25
BALL_BLOCK_BITS
#define BALL_BLOCK_BITS
Definition bitVector.h:23

Definition at line 30 of file bitVector.h.